<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\tbl_banner;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use App\Models\User;
use File;
class BannerController extends Controller
{


    public function tbl_banner()
{
    $data = tbl_banner::all();

    $userName = Auth::guard('web')->user()->name;

   
    return view('admin.banner', [
        'user_name' => $userName,
        'banners' => $data,
    ]);
}


    public function BannerForm(Request $request)
    {
        $validatedData = $request->validate([
            'banner_image' => 'required|image|max:2048',
          
        ]);
       
        $banner_image = rand() . "." . $request->file("banner_image")->getClientOriginalExtension();
                $request->file("banner_image")->move(public_path() . "/images", $banner_image);

        $tbl = new tbl_banner;

        $tbl->banner_title = $request->banner_title;
        $tbl->banner_second_title = $request->banner_second_title;
        $tbl->banner_discription = $request->banner_discription;
        $tbl->pg_status = "active"; 
        $tbl->banner_image = $banner_image; 
        $tbl->save();

        $data = tbl_banner::all(); 

         return redirect()->route('admin.manage_banners')->with('success', 'Product updated successfully.');
    }

    public function index()
{
    $tbl_banner = tbl_banner::orderBy('banner_id', 'desc')->paginate(5);
    
   
    $userName = Auth::guard('web')->user()->name;

    return view('admin.manage-banner', ['tbl_banner' => $tbl_banner, 'user_name' => $userName]); 
}

    public function show(tbl_banner $tbl_banner)
    {
        return view('admin.edit-banner', compact('tbl_banner'));
    }

    public function edit($banner_id)
    {
        $tbl_banner = tbl_banner::findOrFail($banner_id);
        return view('admin.edit-banner', compact('tbl_banner'));
    }
    
    public function update(Request $request, $banner_id)
{
    $validatedData = $request->validate([
       
        'banner_image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
    ]);

    $tbl_banner = tbl_banner::findOrFail($banner_id);
    $tbl_banner->banner_title = $request->input('banner_title');
    $tbl_banner->banner_second_title = $request->input('banner_second_title');
    $tbl_banner->banner_position = $request->input('banner_position');
    $tbl_banner->banner_type = $request->input('banner_type');
    $tbl_banner->banner_discription = $request->input('banner_discription');
    $tbl_banner->banner_category = $request->input('banner_category');
    $tbl_banner->pg_status = "active";

    if ($request->hasFile('banner_image')) {
        $banner_image = rand() . "." . $request->file("banner_image")->getClientOriginalExtension();
        $request->file("banner_image")->move(public_path() . "/images", $banner_image);
        $tbl_banner->banner_image = $banner_image;
    }

    $tbl_banner->save();

     return redirect()->route('admin.manage_banners')->with('success', 'Product updated successfully.');
}

    
    public function destroy(tbl_banner $tbl_banner)
    {
        $tbl_banner->delete();

        return redirect()->back()->with('success', 'Page deleted successfully.');
    }

    public function updateStatus(Request $request)
{
    $tbl_banner = tbl_banner::findOrFail($request->banner_id);
    $tbl_banner->pg_status = $request->pg_status;
    $tbl_banner->save();

    return response()->json(['message' => 'User status updated successfully.']);
}
}
