<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\partners;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use App\Models\User;
use File;
class BarClubController extends Controller
{


    public function partnersView()
{
    $data = partners::all();

    $userName = Auth::guard('web')->user()->name;

   
    return view('admin.banner', [
        'user_name' => $userName,
        'banners' => $data,
    ]);
}


    

    public function PartnewViewIndex()
{
    $partnerData = partners::orderBy('partner_id', 'desc')->paginate(10); 
    
    $userName = Auth::guard('web')->user()->name;

    return view('admin.manage-club-bar', ['partnerData' => $partnerData, 'user_name' => $userName]);
}


    public function show(partners $partnerData)
    {
        return view('admin.view-club-bar', compact('partners'));
    }

    public function edit($partner_id)
    {
        $partners = partners::findOrFail($partner_id);
        return view('admin.view-club-bar', compact('partners'));
    }
    
    public function update(Request $request, $banner_id)
{
    $validatedData = $request->validate([
       
        'banner_image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
    ]);

    $partnerData = tbl_banner::findOrFail($banner_id);
    $partnerData->banner_title = $request->input('banner_title');
    $partnerData->banner_second_title = $request->input('banner_second_title');
    $partnerData->banner_position = $request->input('banner_position');
    $partnerData->banner_type = $request->input('banner_type');
    $partnerData->banner_discription = $request->input('banner_discription');
    $partnerData->banner_category = $request->input('banner_category');
    $partnerData->pg_status = "active";

    if ($request->hasFile('banner_image')) {
        $banner_image = rand() . "." . $request->file("banner_image")->getClientOriginalExtension();
        $request->file("banner_image")->move(public_path() . "/images", $banner_image);
        $partnerData->banner_image = $banner_image;
    }

    $partnerData->save();

     return redirect()->route('admin.manage_banners')->with('success', 'Product updated successfully.');
}

    
    public function destroy(partners $partnerData)
    {
        $partnerData->delete();

        return redirect()->back()->with('success', 'Page deleted successfully.');
    }

    public function updateStatus(Request $request)
{
    $partnerData = tbl_banner::findOrFail($request->banner_id);
    $partnerData->pg_status = $request->pg_status;
    $partnerData->save();

    return response()->json(['message' => 'User status updated successfully.']);
}


 public function updateRequest(Request $request)
{
    $partnerData = partners::findOrFail($request->partner_id);
    $partnerData->request_accpect = $request->request_accpect;
    $partnerData->save();

    return response()->json(['message' => 'User status updated successfully.']);
}

public function updaterReview(Request $request)
{
    $partnerReview = partners::findOrFail($request->partner_id);
    $partnerReview->review = $request->review;
    $partnerReview->save();

    return response()->json(['message' => 'review status updated successfully.']);
}


public function PoplurBar(Request $request)
{
    
    $validated = $request->validate([
        'partner_id' => 'required|exists:partners,partner_id',
        'popular_bar' => 'required|in:yes,no',
    ]);

    try {
     
        $partnerData = partners::findOrFail($validated['partner_id']);
        $partnerData->popular_bar = $validated['popular_bar'];
        $partnerData->save();

        return response()->json(['message' => 'Popular bar status updated successfully.'], 200);
    } catch (\Exception $e) {
        return response()->json(['message' => 'An error occurred while updating. Please try again.'], 500);
    }
}


}
