<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Validator;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use App\Models\tbl_page;
use App\Models\tbl_banner;
use App\Models\location;
use App\Models\partners;
use App\Models\Order;
use App\Models\filters;
use App\Models\ShowFilters;
use App\Models\bar_club_added;
use App\Models\websiteMange;
use Illuminate\Support\Str;
use Carbon\Carbon;

class FiltersController extends Controller
{
   
public function FilterFormData(Request $request)
{
    try {
       
        $request->validate([
            'filter_id' => 'required|array',      
            'filter_id.*' => 'integer',          
            'register_id' => 'required',
        ]);

        $registerId = $request->register_id;

        ShowFilters::where('register_id', $registerId)->delete();

        foreach ($request->filter_id as $filterId) {
            ShowFilters::create([
                'register_id' => $registerId,
                'filter_id' => $filterId,
                'status' => 'active',
            ]);
        }

        return response()->json(['message' => 'Filters updated successfully!'], 200);
    } catch (\Exception $e) {
        return response()->json(['message' => 'An error occurred: ' . $e->getMessage()], 500);
    }
}





}
