<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Log;
use Validator;
use Carbon\Carbon;
use Illuminate\Support\Facades\Mail;
use Illuminate\Http\Request;
use App\Models\tbl_page;
use App\Models\tbl_banner;
use App\Models\location;
use App\Models\partners;
use App\Models\customers;
use App\Models\Review;
use App\Models\filters;
use App\Models\ShowFilters;
use App\Models\websiteMange;
use Illuminate\Support\Facades\DB;
use App\Models\bar_club_added;
class HomeController extends Controller
{



public function showdata(Request $request)
{
 
    $filters = filters::where('status', 'active')->get();
    $location = location::where('is_active', 1)
        ->take(27) 
        ->get();
    
    $barClubWithPartnersQuery = DB::table('bar_club_added')
        ->join('partners', 'bar_club_added.register_id', '=', 'partners.register_id')
        ->where('bar_club_added.status', 'active')
        ->where('partners.status', 'active')
        
        ->where('partners.request_accpect', '1')
        ->select('bar_club_added.*', 'partners.address', 'partners.bar_club_url', 'partners.location_url', 'partners.popular_bar' ,'partners.review');

    
    if ($request->has('filter')) {
    $filterIds = $request->filter; 

    $barClubWithPartnersQuery->join('show_filters', 'bar_club_added.register_id', '=', 'show_filters.register_id')
        ->whereIn('show_filters.filter_id', $filterIds);
}


    $barClubWithPartners = $barClubWithPartnersQuery->get();
  

   
    if ($request->ajax()) {
        return response()->json(['data' => $barClubWithPartners]);
    }
   
     $ratings = DB::table('clinet_review')
        ->where('clinet_review.request', '1')
        ->select(
            'register_id_p',
            DB::raw('COUNT(*) as total_reviews'),
            DB::raw('AVG(rating) as average_rating')
        )
        ->groupBy('register_id_p')
        ->get()
        ->keyBy('register_id_p'); 

    
    foreach ($barClubWithPartners as $bar) {
        $bar->total_reviews = $ratings->has($bar->register_id)
            ? $ratings[$bar->register_id]->total_reviews
            : 0;
        $bar->average_rating = $ratings->has($bar->register_id)
            ? number_format($ratings[$bar->register_id]->average_rating, 2)
            : '0.00';
    }

    $website = websiteMange::where('status', 'active')->get();  
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url','home')->get();  
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    return view('home', compact('filters', 'barClubWithPartners', 'location', 'homebanner', 'ratings', 'homepages', 'website'));
}



public function BarClubDetails(Request $request)
{
    $clubBar = __FUNCTION__ == "BarClubDetails";

    $currentUrl = url()->current();
    $parts = explode('/', $currentUrl);
    $location_url = $parts[3] ?? null;
    $club_url = $parts[4] ?? null;

    try {
        // Check if the necessary URLs are present
        if (!$location_url || !$club_url) {
            abort(404);
        }

        // Fetch club details
        $clubDetail = DB::table('partners')
            ->join('bar_club_added', 'partners.register_id', '=', 'bar_club_added.register_id')
            ->where('partners.location_url', $location_url)
            ->where('partners.bar_club_url', $club_url)
            ->where('partners.status', 'active')
            ->where('bar_club_added.status', 'active')
            ->where('partners.request_accpect', '1')
            ->select(
                'partners.*',
                'bar_club_added.cover_images',
                'bar_club_added.menu_images',
                'bar_club_added.multiple_images',
                'bar_club_added.menu_type',
                'bar_club_added.price',
                'bar_club_added.offer1',
                'bar_club_added.more_info',
                'bar_club_added.specification',
                'bar_club_added.offer2',
                'bar_club_added.offer3',
                'bar_club_added.bar_title'
            )->first();

        // If no club details found, abort
        if (!$clubDetail) {
            abort(404);
        }

        // Fetch all active bars and clubs
        $barClubWithPartners = DB::table('bar_club_added')
            ->join('partners', 'bar_club_added.register_id', '=', 'partners.register_id')
            ->where('bar_club_added.status', 'active')
            ->where('partners.status', 'active')
            ->where('partners.request_accpect', '1')
            ->select('bar_club_added.*', 'partners.address', 'partners.bar_club_url', 'partners.location_url', 'partners.review')
            ->get();

        // Fetch reviews only for the current partner
        $reviews = DB::table('clinet_review')
            ->join('customers', 'clinet_review.register_id_u', '=', 'customers.register_id')
            ->where('clinet_review.request', '1')
            ->where('clinet_review.register_id_p', $clubDetail->register_id) // Ensure reviews are specific to this partner
            ->select(
                'clinet_review.*',
                'customers.name as customer_name',
                'customers.email as customer_email',
                'customers.profile_image'
            )
            ->get();

        // Decode JSON fields
        $galeryimg = $clubDetail ? json_decode($clubDetail->multiple_images, true) : [];
        $menuimg = $clubDetail ? json_decode($clubDetail->menu_images, true) : [];

        // Fetch additional data
        $website = websiteMange::where('status', 'active')->get();
        $homepages = tbl_page::where('pg_status', 'active')->get();

        // Return the view with the necessary data
        return view('bar-club-detail', compact(
            'clubDetail',
            'barClubWithPartners',
            'website',
            'homepages',
            'clubBar',
            'galeryimg',
            'menuimg',
            'reviews'
        ));
    } catch (\Exception $e) {
        // Handle any exceptions
        return back()->with('error', 'An error occurred');
    }
}




public function PartnerWithUs(Request $request)
{   
    
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url','partner-with-us')->get();
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    $location = location::where('is_active', '1')->get();
    $website = websiteMange::where('status', 'active')->get();
   

    return view('partner-with-us', compact('homepages', 'homebanner', 'website', 'location'));
}

public function ProfileHome(Request $request)
{   
    
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url','profile')->get();
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    return view('profile', compact('homepages', 'homebanner', 'website'));
}






public function PartnerDashBord($clubname, $registerId)
{
    $sessionClubname = session('clubname'); 
    $sessionRegisterId = session('register_id'); 
    $location = location::where('is_active', '1')->get(); 
    $filters = filters::where('status', 'active')->get();
    $website = websiteMange::where('status', 'active')->get();
    $activeFilters = ShowFilters::where('register_id', $registerId)
        ->pluck('filter_id')
        ->toArray();
    
    
    $partner = Partners::where('register_id', $sessionRegisterId)->first();
    $bar_club = bar_club_added::where('register_id', $sessionRegisterId)->first();
    $multipleImages = $bar_club ? json_decode($bar_club->multiple_images, true) : []; 
    $drinkimg = $bar_club ? json_decode($bar_club->drink_image, true) : []; 
    $foodImage = $bar_club ? json_decode($bar_club->food_image, true) : []; 
    $menuImage = $bar_club ? json_decode($bar_club->menu_images, true) : []; 
    
    
    

    if ($partner) {
        
        $customershowBookings = DB::table('order_list')
    ->join('customers', 'order_list.register_id_u', '=', 'customers.register_id')
    ->join('partners', 'order_list.register_id_p', '=', 'partners.register_id')
    ->join('bar_club_added', 'partners.register_id', '=', 'bar_club_added.register_id')
    ->where('partners.register_id', $sessionRegisterId)
    ->select(
        'order_list.order_id as order_id',
        'order_list.book_date',
        'order_list.book_time',
        'order_list.username',
        'order_list.status as order_status',
        'customers.name as customer_name',
        'customers.phone',
        'partners.bar_club as bar_club',
        'partners.location_url',
        'partners.bar_club_url',
        'bar_club_added.bar_title as club_name'
    )
    ->paginate(10);

        $reviews = DB::table('clinet_review')
            ->where('register_id_p', $sessionRegisterId)
            ->get();

        
        
        return view('partner-dashboard', [
            'clubname' => $clubname,
            'register_id' => $registerId,
            'session_clubname' => $sessionClubname,
            'session_register_id' => $sessionRegisterId,
            'location' => $location,
            'bar_club' => $bar_club,
            'filters' => $filters,
            'activeFilters' => $activeFilters,
            'multipleImages' => $multipleImages,
            'drinkimg' => $drinkimg,
            'foodImage' => $foodImage,
            'menuImage' => $menuImage,
            'reviews' => $reviews, 
            'bookings' => $customershowBookings, 
            'partner' => $partner,
            'website' => $website
        ]);
    } else {
        return redirect()->route('home')->withErrors('Partner not found.');
    }
}


// public function CustomerDashBord($customersname, $registerId)
// {
//     $sessioncustomername = session('customername');
//     $sessionRegisterId = session('register_id'); 
  

//     $customers = customers::where('register_id', $sessionRegisterId)->first();

//     if ($customers) {
       
//         return view('profile', [
//             'customername' => $customersname,
//             'register_id' => $registerId,
//             'sessioncustomername' => $sessioncustomername,
//             'session_register_id' => $sessionRegisterId,
//             'customers' => $customers
//         ]);
//     } else {
      
//         return redirect()->route('home')->withErrors('Customer not found.');
//     }
// }

public function CustomerBookData($customersname, $registerId)
{
    $sessioncustomername = session('customername');
    $sessionRegisterId = session('register_id'); 

    $website = websiteMange::where('status', 'active')->get();
    $customer = customers::where('register_id', $sessionRegisterId)->first();

    if ($customer) {
        $customerBookings = DB::table('order_list')
            ->join('customers', 'order_list.register_id_u', '=', 'customers.register_id')
            ->join('partners', 'order_list.register_id_p', '=', 'partners.register_id')
            ->join('bar_club_added', 'partners.register_id', '=', 'bar_club_added.register_id')
            ->where('customers.register_id', $sessionRegisterId)
            ->select(
                'order_list.order_id as order_id',
                'order_list.book_date',
                'order_list.book_time',
                
                'order_list.status as order_status',
                'customers.name as customer_name',
                'partners.bar_club as bar_club',
                'partners.location_url',
                'partners.bar_club_url',
                'bar_club_added.bar_title as club_name'
            )
            ->paginate(10); 
            
            
            $reviews = DB::table('clinet_review')
            ->join('customers', 'clinet_review.register_id_u', '=', 'customers.register_id')  
            ->join('partners', 'clinet_review.register_id_p', '=', 'partners.register_id')  
            ->where('clinet_review.register_id_u', $sessionRegisterId)
            ->select(
                'clinet_review.username',
                'clinet_review.description',
                'clinet_review.rating',
                'clinet_review.created_at as review_date',
                'partners.bar_club', 
                'customers.name as reviewer_name' 
            )
            ->get();
foreach ($reviews as $review) {
    $review->review_date = Carbon::parse($review->review_date);  
}

        return view('profile', [
            'customername' => $customersname,
            'register_id' => $registerId,
            'sessioncustomername' => $sessioncustomername,
            'session_register_id' => $sessionRegisterId,
            'customers' => $customer,
            'reviews' => $reviews,
           
            'bookings' => $customerBookings,
             'website' => $website
        ]);
    } else {
        return redirect()->route('home')->withErrors('Customer not found.');
    }
}


public function PopularPage(Request $request)
{
 
    $filters = filters::where('status', 'active')->get();
    $location = location::where('is_active', 1)
        ->take(27) 
        ->get();
    $website = websiteMange::where('status', 'active')->get();
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'popular')->get();
    $barClubWithPartnersQuery = DB::table('bar_club_added')
        ->join('partners', 'bar_club_added.register_id', '=', 'partners.register_id')
        ->where('bar_club_added.status', 'active')
        ->where('partners.status', 'active')
        
        ->where('partners.request_accpect', '1')
        ->select('bar_club_added.*', 'partners.address', 'partners.bar_club_url', 'partners.location_url', 'partners.popular_bar' ,'partners.review');

    
    if ($request->has('filter')) {
    $filterIds = $request->filter; 

    $barClubWithPartnersQuery->join('show_filters', 'bar_club_added.register_id', '=', 'show_filters.register_id')
        ->whereIn('show_filters.filter_id', $filterIds);
}


    $barClubWithPartners = $barClubWithPartnersQuery->get();
  

   
    if ($request->ajax()) {
        return response()->json(['data' => $barClubWithPartners]);
    }
   
     $ratings = DB::table('clinet_review')
        ->where('clinet_review.request', '1')
        ->select(
            'register_id_p',
            DB::raw('COUNT(*) as total_reviews'),
            DB::raw('AVG(rating) as average_rating')
        )
        ->groupBy('register_id_p')
        ->get()
        ->keyBy('register_id_p'); 

    
    foreach ($barClubWithPartners as $bar) {
        $bar->total_reviews = $ratings->has($bar->register_id)
            ? $ratings[$bar->register_id]->total_reviews
            : 0;
        $bar->average_rating = $ratings->has($bar->register_id)
            ? number_format($ratings[$bar->register_id]->average_rating, 2)
            : '0.00';
    }

       
       
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    return view('popular-bar-and-club', compact('filters', 'barClubWithPartners', 'location', 'homebanner', 'ratings', 'website'  ,'homepages'));
}

public function OtherClubPage(Request $request)
{
 
    $filters = filters::where('status', 'active')->get();
    $location = location::where('is_active', 1)
        ->take(27) 
        ->get();
    $website = websiteMange::where('status', 'active')->get();
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'other')->get();
    $barClubWithPartnersQuery = DB::table('bar_club_added')
        ->join('partners', 'bar_club_added.register_id', '=', 'partners.register_id')
        ->where('bar_club_added.status', 'active')
        ->where('partners.status', 'active')
        
        ->where('partners.request_accpect', '1')
        ->select('bar_club_added.*', 'partners.address', 'partners.bar_club_url', 'partners.location_url', 'partners.popular_bar' ,'partners.review');

    
    if ($request->has('filter')) {
    $filterIds = $request->filter; 

    $barClubWithPartnersQuery->join('show_filters', 'bar_club_added.register_id', '=', 'show_filters.register_id')
        ->whereIn('show_filters.filter_id', $filterIds);
}


    $barClubWithPartners = $barClubWithPartnersQuery->get();
  

   
    if ($request->ajax()) {
        return response()->json(['data' => $barClubWithPartners]);
    }
   
     $ratings = DB::table('clinet_review')
        ->where('clinet_review.request', '1')
        ->select(
            'register_id_p',
            DB::raw('COUNT(*) as total_reviews'),
            DB::raw('AVG(rating) as average_rating')
        )
        ->groupBy('register_id_p')
        ->get()
        ->keyBy('register_id_p'); 

    
    foreach ($barClubWithPartners as $bar) {
        $bar->total_reviews = $ratings->has($bar->register_id)
            ? $ratings[$bar->register_id]->total_reviews
            : 0;
        $bar->average_rating = $ratings->has($bar->register_id)
            ? number_format($ratings[$bar->register_id]->average_rating, 2)
            : '0.00';
    }

       
       
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    return view('other-club-and-bar', compact('filters', 'barClubWithPartners', 'location', 'homebanner', 'ratings', 'website' ,'homepages'));
}



public function ContactPage(Request $request)
{
 
    $filters = filters::where('status', 'active')->get();
    $location = location::where('is_active', 1)
        ->take(27) 
        ->get();
    $website = websiteMange::where('status', 'active')->get();
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url','contact')->get();  
    $barClubWithPartnersQuery = DB::table('bar_club_added')
        ->join('partners', 'bar_club_added.register_id', '=', 'partners.register_id')
        ->where('bar_club_added.status', 'active')
        ->where('partners.status', 'active')
        
        ->where('partners.request_accpect', '1')
        ->select('bar_club_added.*', 'partners.address', 'partners.bar_club_url', 'partners.location_url', 'partners.popular_bar' );

    
    if ($request->has('filter')) {
    $filterIds = $request->filter; 

    $barClubWithPartnersQuery->join('show_filters', 'bar_club_added.register_id', '=', 'show_filters.register_id')
        ->whereIn('show_filters.filter_id', $filterIds);
}


    $barClubWithPartners = $barClubWithPartnersQuery->get();
  

   
    if ($request->ajax()) {
        return response()->json(['data' => $barClubWithPartners]);
    }
   
    
       
    $homebanner = tbl_banner::where('pg_status', 'active')->get();
    return view('contact-us', compact('filters', 'barClubWithPartners', 'location', 'homebanner', 'website', 'homepages'));
}


public function AboutUS(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'about-us')->get();
    
    $website = websiteMange::where('status', 'active')->get();
   
    return view('about', ['homepages' => $homepages, 'website' => $website]);
}

public function TermsConditions(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'terms-conditions')->get();
    
    $website = websiteMange::where('status', 'active')->get();
   
    return view('terms-conditions', ['homepages' => $homepages, 'website' => $website]);
}

public function Refund(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'refund')->get();
    
    $website = websiteMange::where('status', 'active')->get();
   
    return view('refund', ['homepages' => $homepages, 'website' => $website]);
}

public function PrivacyPolicy(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'privacy')->get();
    
    $website = websiteMange::where('status', 'active')->get();
   
    return view('privacy-policy', ['homepages' => $homepages, 'website' => $website]);
}


public function PartnersPAGE(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'partners')->get();
    
    $website = websiteMange::where('status', 'active')->get();
   
    return view('privacy-policy', ['homepages' => $homepages, 'website' => $website]);
}

public function BARandClubPage(Request $request) {
    $homepages = tbl_page::where('pg_status', 'active')->where('pg_url', 'bar-and-clubs')->get();
    
    $website = websiteMange::where('status', 'active')->get();
   
    return view('privacy-policy', ['homepages' => $homepages, 'website' => $website]);
}
}