<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\tbl_banner;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use App\Models\User;
use App\Models\tbl_page;
use Illuminate\Support\Str;
use File;

class PageController extends Controller
{
    public function tbl_page()
{
    
    $data = tbl_page::all();

   
    return view('admin.tbl-pages');
}

public function PageForm(Request $request)
{
    $validatedData = $request->validate([
        'image' => 'required|image|max:2048',
    ]);
    $image = rand() . "." . $request->file("image")->getClientOriginalExtension();
    $request->file("image")->move(public_path() . "/images", $image);

    $tbl = new tbl_page;
    $tbl->pg_name = $request->pg_name;
    $tblSlug = Str::slug($request->pg_name);
    $tbl->pg_url = $tblSlug;
    $tbl->pg_meta_title = $request->meta_title;
    $tbl->pg_meta_keyword = $request->meta_keyword;
    $tbl->pg_meta_desc = $request->meta_description;
    $tbl->short_description = $request->shrt_description;
    $tbl->footer_content = $request->footer_content;
    $tbl->description = $request->description;
    $tbl->pg_status = "active";
    $tbl->image = $image; 
    $tbl->save();

    return redirect()->route('admin.manage-pages')->with('success', 'Product updated successfully.');
}

    public function index()
    {
        $tbl_page = tbl_page::orderBy('pg_id', 'desc')->paginate(10);
    return view('admin.manage-pages', ['tbl_page' => $tbl_page]);  
    }

    public function create()
    {
        //
    }

  
    public function store(Request $request)
{
   //
}

    
    public function show(tbl_page $tbl_page): View
    {
        return view('admin.tbl-pages-edit', compact('tbl_page'));
    }

    public function edit($id)
    {
        $tbl_page = tbl_page::findOrFail($id);
        return view('admin.tbl-pages-edit', compact('tbl_page'));
    }

    
    public function update(Request $request, $id)
{
    $validatedData = $request->validate([
       
        'image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
    ]);

    $tbl_page = tbl_page::find($id);
    $tbl_page->pg_name = $request->input('pg_name');
    $tbl_page->pg_url = Str::slug($request->input('pg_name'));
    $tbl_page->pg_meta_title = $request->input('meta_title');
    $tbl_page->pg_meta_keyword = $request->input('meta_keyword');
    $tbl_page->pg_meta_desc = $request->input('meta_description');
    $tbl_page->short_description = $request->input('shrt_description');
    $tbl_page->description = $request->input('description');
    $tbl_page->footer_content = $request->input('footer_content');
    $tbl_page->pg_status = "active";

    
  if ($request->hasFile('image')) {
        $image = rand() . "." . $request->file("image")->getClientOriginalExtension();
        $request->file("image")->move(public_path() . "/images", $image);
        $tbl_page->image = $image;
    }

    $tbl_page->save();

    return redirect()->route('admin.manage-pages')->with('success', 'Product updated successfully.');
}

    
    public function destroy(tbl_page $tbl_page)
{
    $tbl_page->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
}

public function status($id) {
    $tbl_page = tbl_page::find($id);

    if (!$tbl_page) {
        return response()->json(['message' => 'Item not found'], 404);
    }

   
    $tbl_page->pg_status = $tbl_page->pg_status === 'active' ? 'inactive' : 'active';
    $tbl_page->save();

    return response()->json(['newStatus' => $tbl_page->pg_status]);
}

public function updateStatus(Request $request)
{
    $tbl_page = tbl_page::findOrFail($request->pg_id);
    $tbl_page->pg_status = $request->pg_status;
    $tbl_page->save();

    return response()->json(['message' => 'User status updated successfully.']);
}
}
