<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Validator;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use App\Models\tbl_page;
use App\Models\tbl_banner;
use App\Models\location;
use App\Models\partners;
use App\Models\Order;
use App\Models\bar_club_added;
use App\Models\websiteMange;
use App\Models\Review;
use Illuminate\Support\Str;
use Carbon\Carbon;

class ReviewController extends Controller
{
    
public function ReviewFormData(Request $request)
{
    try {
       
        $request->validate([
            'username' => 'required',
        ]);

      
        
        do {
            $randomReviewId = 'REW-' . random_int(100000, 999999);
        } while (Review::where('client_id', $randomReviewId)->exists());

       
        $reviewData = Review::create([
            'client_id' => $randomReviewId,
            'order_id' => $request->order_id,
            'email_id' => $request->email_id,
            'description' => $request->description,
            'username' => $request->username,
            'request' => '0',
            'rating' => $request->rating,
            'register_id_u' => $request->register_id_u,
            'register_id_p' => $request->register_id_p,
            'status' => 'active',
        ]);

      
        session([
            'register_id_u' => $reviewData->register_id_u,
            'username' => $reviewData->username,
        ]);

     
        return response()->json([
            'success' => true,
            'message' => 'Your review has been submitted successfully!',
            'session' => [
                'register_id_u' => session('register_id_u'),
                'username' => session('username'),
            ],
        ]);
    } catch (\Exception $e) {
       
        return response()->json([
            'success' => false,
            'message' => 'An error occurred: ' . $e->getMessage(),
        ]);
    }
}

public function approveReview(Request $request)
{
    try {
        
        $review = Review::findOrFail($request->id);

        
        $review->update(['request' => '1']);

        return response()->json([
            'success' => true,
            'message' => 'Review approved successfully!',
        ]);
    } catch (\Exception $e) {
        return response()->json([
            'success' => false,
            'message' => 'An error occurred: ' . $e->getMessage(),
        ]);
    }
}


}
