<!DOCTYPE html>
<html lang="en">

@include('include.comman-head')

<body itemscope>
    <!-- Main Wrapper start-->
    <main>
        
        <!-- Header start-->
        @include('include.header-inner')

        <!-- Banner Home Start -->
        <section class="overflow-hidden home-ban">
            <div class="block blackish opac50">
                <div class="fixed-bg" style="background: url({{ asset('assets/image/img/resource/ban-b2.jpg') }}); background-position: center;">
                    <!--<video class="w-100" playsinline="" autoplay="" muted="" loop="">-->
                    <!--    <source src="{{ asset('assets/image/img/resource/title-bg.mp4') }}" type="video/mp4">-->
                    <!--    Your browser does not support the video tag.-->
                    <!-- </video>-->
                </div>
                <div class="restaurant-searching style2 text-center">
                    <div class="restaurant-searching-inner">
                        <span>Explore <i>the Hottest Bar & Clubs </i> </span>
                        <h2 >Your Gateway to Unforgettable Nights</h2>
                        
                        @include('searchfrom')
                       
                    </div>
                </div><!-- Bar & Club Searching -->
            </div>
            <!--<img class="bottom-clouds-mockup" src="assets/image/img/resource/clouds.png" alt="clouds.png" itemprop="image">-->
        </section>
        <!-- Banner Home End -->
        
        <!------------------------banner off------------------------->
        <section class="pt-5">
            <div class="container">
                <div class="row">
                   
                    <div class="col-lg-12 ">
                        <div class="top-offer-restaurant mt-5">
                            @foreach($homebanner as $banner)
                            <div class="w-100">
                                <a class="w-100" href=""><img class="w-100" src="{{ url('images/' . $banner['banner_image']) }}"
                                        alt=""></a>
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>

            </div>
        </section>

        <!-- Popular Bar & Club Start -->
        <section>
            <div class="block">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-lg-12">
                            <div class="title1-wrapper text-center">
                                <div class="title1-inner">
                                    <span>Most Popular Bar & Clubs</span>
                                    <h2 >popular of the month</h2>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-3 col-md-6 filters-box">
                                     <div class="wrapper brd-t-rd2">
                                        <div class="price-input">
                                            <div class="field">
                                                <div class="min-max">Min &#8377;</div>
                                                <input type="number" class="input-min" value="2000" readonly>
                                            </div>
                                            <div class="separator">-</div>
                                            <div class="field">
                                                <div class="min-max">Max &#8377;</div>
                                                <input type="number" class="input-max" value="7500" readonly>
                                            </div>
                                        </div>
                                        <div class="slider">
                                            <div class="progress"></div>
                                        </div>
                                        <div class="range-input">
                                            <input type="range" class="range-min" min="0" max="10000" value="2000" step="100">
                                            <input type="range" class="range-max" min="0" max="10000" value="7500" step="100">
                                        </div>
                                    </div>
                                   <div>
                                        <div class="srch-filter-main">
                                            <ul>
                                                @foreach($filters as $filtersdata)
                                                    <li>
                                                        <span class="radio-box">
                                                            <input type="checkbox" value="{{ $filtersdata->filter_id }}" name="filter" class="filter-checkbox">
                                                            <label for="filt{{ $filtersdata->filter_id }}">{{ $filtersdata->filter_name }}</label>
                                                        </span>
                                                    </li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-lg-9 col-lg-6">
                                    <div class="remove-ext w-100">
                                        <div id="bar-club-container" class="row">
                                            @foreach($barClubWithPartners as $data)
                                            @if($data->popular_bar === 'yes')
                                                <div class="col-md-6 col-sm-6 col-lg-4">
                                                    <div class="popular-dish-box style2">
                                                        <div class="popular-dish-thumb">
                                                            <a href="{{ url($data->location_url . '/' . $data->bar_club_url) }}" title="">
                                                                <img src="{{ url('images/' . $data->cover_images) }}" alt="">
                                                            </a>
                                                            <span class="post-rate yellow-bg brd-rd2">
                                                              
                                                                <i class="fa fa-star fa-star-o"></i>
                                                           {{ $data->review }} / 5
                                                            </span>
                                                            
                                                            @if(!is_null($data->home_offer	))
                                                                <span class="offer-resto">
                                                                    <img src="assets/image/img/icons/off.webp" alt="">{{ $data->home_offer }}
                                                                </span>
                                                            @endif

                                                        </div>
                                                        <div class="popular-dish-info">
                                                            <p class="text-clamp1">{{ $data->menu_type }}</p>
                                                            <div class="d-flex justify-content-between">
                                                            </div>
                                                            <div class="restaurant-info">
                                                                <img src="assets/image/img/resource/restaurant-logo1.png" alt="restaurant-logo1.png">
                                                                <div class="restaurant-info-inner">
                                                                    <h6 class="headline text-clamp1">
                                                                        <a href="{{ url($data->location_url . '/' . $data->bar_club_url) }}" title="">{{ $data->bar_title }}</a>
                                                                    </h6>
                                                                    <span class="red-clr text-clamp1">{{ $data->address }}</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                @endif
                                            @endforeach
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- Popular Bar & Club End -->
        
         <!--<------------------offer banner---------------------->
         

        <!-- About Us Start -->
        <section class="bg-black">
            <div class="block ">
                <div class="container">
                    <div class="welcome-sec">
                        <div class="row">

                            <div class="col-md-6 col-sm-6 col-lg-6">
                                <div style="max-width: 100%;" class="title1-inner w-100 ">
                                    <span class="text-center">Welcome To Frinz</span>
                                </div>
                                <div class="welcome-secinfo">
                                   
                                    <span>We Create Unforgettable Memories</span>
                                    <p class="text-white">Step into the world of Frinz – where nightlife meets convenience. Discover the hottest spots,
                                    curated just for you, and enjoy seamless booking at your favorite clubs, pubs, and bars. With exclusive deals 
                                    and trending venues at your fingertips, let us transform your nights into unforgettable memories. Frinz is where
                                    the party begins</p>
                                    <div class="award">
                                        <img src="assets/image/img/logo.png" alt="">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 col-sm-6 col-lg-6">
                                <div class="welcome-gallery">
                                    <img src="assets/image/img/resource/ban-bg.jpg">
                                    <!--<video class="w-100" playsinline="" autoplay="" muted="" loop="">-->
                                    <!--    <source src="assets/image/img/resource/vidoe-bg.mp4" type="video/mp4">-->
                                    <!--    Your browser does not support the video tag.-->
                                    <!-- </video>-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section><!-- welcome section -->
        <!-- About Us End -->

        <!--  Bar & Club Start -->
        <section>
            <div class="block">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-lg-12">
                            <div class="title1-wrapper text-center">
                                <div class="title1-inner">
                                    <span> Bar & Clubs</span>
                                   
                                </div>
                            </div>
                            <div class="remove-ext w-100">
                                <div class="row">
                                        @foreach($barClubWithPartners as $data)
                                            @if($data->popular_bar === 'no')

                                    <!-- Popular Bar & Club Box -->
                                    <div class="col-md-4 col-sm-6 col-lg-4">
                                        <div class="popular-dish-box style2 wow fadeIn" data-wow-delay="0.2s">
                                            <div class="popular-dish-thumb">
                                                <a href="{{ url($data->location_url . '/' . $data->bar_club_url) }}" title=""><img src="{{ url('images/' . $data->cover_images) }}" alt=""></a>
                                                <span class="post-rate yellow-bg brd-rd2"><i class="fa fa-star-o"></i>
                                                   {{ $data->average_rating }} / 5</span>

                                            </div>
                                            <div class="popular-dish-info">
                                                <p class=" text-clamp1">{{ $data->menu_type }}</p>
                                                <div class="d-flex justify-content-between">
                                                    <!--<span class="distance"><i class="fa fa-map-marker"></i> 5.4Km</span>-->
                                                </div>
                                                <div class="restaurant-info">
                                                    <img src="assets/image/img/resource/restaurant-logo1.png"
                                                        alt="restaurant-logo1.png">
                                                    <div class="restaurant-info-inner">
                                                        <h6 class="headline text-clamp1"><a href="{{ url($data->location_url . '/' . $data->bar_club_url) }}" title="">{{ $data->bar_title }}</a></h6>
                                                        <span class="red-clr text-clamp1">{{ $data->address }}</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                                    @endforeach
                                    <!-- Popular Bar & Club Box -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--  Bar & Club End -->

        
        <!-- footer start -->
        @include('include.footer-inner')
        <!-- signup popup end -->

    </main>
    <!-- Main Wrapper end -->

     @include('include.comman-end')
</body>

</html>